# Generated by Django 4.1.2 on 2022-10-06 06:16

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
			migrations.swappable_dependency(settings.AUTH_USER_MODEL),
			("product", "0001_initial"),
    ]

    operations = [
			migrations.CreateModel(
				name="Order",
				fields=[
					("id",models.BigAutoField(auto_created=True, primary_key=True, serialize=False,verbose_name="ID",),),
					("total_prices", models.FloatField(default=0)),
					("created_at", models.DateField(default=django.utils.timezone.now)),
					("user_id",models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL,),),
				],
			),
			migrations.CreateModel(
				name="OrderDetail",
				fields=[
					("id",models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID",),),
					("unit", models.IntegerField(default=1)),
					("prices", models.FloatField(default=0)),
					("created_at", models.DateField(default=django.utils.timezone.now)),
					("order_id",models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="order.order"),),
					("product_id",models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="product.product",),),
				],
			),
    ]
